summaryrefslogtreecommitdiffstats
path: root/bootstrap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh40
1 files changed, 28 insertions, 12 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index c2e8bbc..bef8f4b 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -17,31 +17,47 @@
# along with libao-polyp; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+VERSION=1.9
+
run_versioned() {
local P
- type -p "$1-$2" &> /dev/null && P="$1-$2" || local P="$1"
+ local V
+
+ V=$(echo "$2" | sed -e 's,\.,,g')
+
+ if [ -e "`which $1$V`" ] ; then
+ P="$1$V"
+ else
+ if [ -e "`which $1-$2`" ] ; then
+ P="$1-$2"
+ else
+ P="$1"
+ fi
+ fi
shift 2
"$P" "$@"
}
+set -ex
+
if [ "x$1" = "xam" ] ; then
- set -ex
- run_versioned automake 1.7 -a -c --foreign
+ run_versioned automake "$VERSION" -a -c --foreign
./config.status
else
- set -ex
-
rm -rf autom4te.cache
rm -f config.cache
- run_versioned aclocal 1.7
- libtoolize -c --force
- autoheader
- run_versioned automake 1.7 -a -c --foreign
- autoconf -Wall
+ test "x$LIBTOOLIZE" = "x" && LIBTOOLIZE=libtoolize
- CFLAGS="-g -O0" ./configure --sysconfdir=/etc "$@"
+ "$LIBTOOLIZE" -c --force
+ run_versioned aclocal "$VERSION"
+ run_versioned autoconf 2.59 -Wall
+ run_versioned autoheader 2.59
+ run_versioned automake "$VERSION" -a -c --foreign
- make clean
+ if test "x$NOCONFIGURE" = "x"; then
+ CFLAGS="-g -O0" ./configure --sysconfdir=/etc --enable-force-preopen "$@"
+ make clean
+ fi
fi